<?php
require_once("includes/initialize.php");
session_start();

$Hod = $_SESSION["$HoD"];
$semesters = ONLINEPAY:: showsemester();
$count=0;
?>
<head>
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/2.2.0/jquery.min.js"></script>  
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.6/css/bootstrap.min.css" />  
    <script src="https://cdn.datatables.net/1.10.12/js/jquery.dataTables.min.js"></script>  
    <script src="https://cdn.datatables.net/1.10.12/js/dataTables.bootstrap.min.js"></script> 
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/bootstrap-datepicker/1.6.4/css/bootstrap-datepicker.css" />
    <script src="https://cdnjs.cloudflare.com/ajax/libs/bootstrap-datepicker/1.6.4/js/bootstrap-datepicker.js"></script>
</head>
    <body>       
		<div class="container" align="center">
			<h2 align="center">Welcome :: <?php echo $Hod;?> Head of Department</h2><br/>
			    <form method="post">
			        <div class="form-group input-group" align="center">
			            <table class="table table-bordered table-hover" align="center">
                        	<tr>
                            	<td>
                					<select name="department" id="department" class="form-control action" style="width:200px">
                						<option value="">Select Department</option>
                							<?php if (is_array($Hod))
                							{
                							    foreach($Hod as $dept)
                							{ ?>
                							<option value="<?php echo $dept;?>"><?php 
                							echo strtoupper($dept);?></option> <?php }}
                							else 
                							{?>
                							    <option value="<?php echo $Hod;?>"><?php 
                							echo strtoupper($Hod);?></option>
                							<?}
                							?>
                					</select>
            					</td>
        					    <td>
                					<select name="level" id="level" class="form-control action" style="width:120px">
                						<option value="">Select Level</option>
                						<option value="ND">ND I</option>
                	                    <option value="ND II">ND II</option>
                	                    <option value="HND">HND I</option>
                	                    <option value="HND II">HND II</option>		
                					</select></td>>
            					<td>
                                    <select name="semester" id="semester" class="form-control action" style="width:120px">
                                        <option value="">Select Semester</option>
                                        <?php foreach($semesters as $sem){?>
                                        <option value="<?php echo $sem->semester;?>"><?php 
                                        echo $sem->semester?></option><?php }?>
                                    </select></td>
                                    <td>
                					<select name="prog" id="prog" class="form-control action" style="width:120px" required>
                						<option value="">Programme</option>
                						<option value="PU">ND Full-Time</option>
                	                    <option value="DP">DPT (ND/HND)</option>
                	                    <option value="FT">HND Full-Time</option>		
                					</select></td>
                					<td>
                					    <div class="col-md-4">
                                            <input type="submit" name="search" id ="search" value="Search" class="btn btn-info" />
                                        </div>
                					</td>
                					<td>
        					            <input type="submit" name="Print_pdf" id ="Print_pdf" class="btn btn-danger" value="Print PDF" />
                					</td>
        					</tr> 
                        </table>
					</div>
			    </form>
                <div class="table-responsive">  
                    <div id="showboard" style="width:800; height = 70; overflow:auto; ">
                        <table id="mytable" class="table table-bordered table-hover" style = "height:20">  
                   
                        </table>
                    </div>
                     <!--</form>  -->
                 </div>
    </body>
<script>
 
 $(document).ready(function(){
     
$('#search').on("click", function(e){
    e.preventDefault(e);
    
    var department = $('#department').val();
    var level = $('#level').val();
    var semester = $('#semester').val();
        var prog = $('#prog').val();
        {
            $.ajax({
            	url:"get_spreadsheet.php",
            	method:"POST",
            	data:{department:department,level:level,semester:semester,prog:prog},
            	success:function(data)
            	{
            	    if(data)
            	    {
            	       // alert(data);
            	       // dataTable.draw();
            	        $("#mytable").html(data);
            	    }
            	    else
            	    {
            	        alert('Error!!!')
            	    }
            	}
            });
        }
 });
 
 $('#Print_pdf').on("click", function(e){
    e.preventDefault(e);
    
    //  var department = $('#department').val();
    // var level = $('#level').val();
    // var semester = $('#semester').val();
    //     var prog = $('#prog').val();
        // {
        //     $.ajax({
        //     	url:window.open("get_spreadsheetPDF.php"),
        //     	method:"POST",
        //     	data:{department:department,level:level,semester:semester,prog:prog}
        //     });
        // }
    
        {
		    window.open("get_spreadsheetPDF.php");
        }
 });
 });  
 </script>  